# Module rustc_unicode::str [−] [src]

Unstable (`unicode` #27783)

## Structs

SplitWhitespace | An iterator over the non-whitespace substrings of a string, separated by any amount of whitespace.
Utf16Encoder | [Unstable] Iterator adaptor for encoding `char`s to UTF-16.

## Traits

UnicodeStr | [Unstable] Methods for Unicode string slices

## Functions

is_utf16 | [Unstable] Determines if a vector of `u16` contains valid UTF-16
utf8_char_width | [Unstable] Given a first byte, determine how many bytes are in this UTF-8 character

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize`)